iSpriteCal3DSocket Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iSpriteCal3DSocket Struct Reference
Mesh plugins

A socket for specifying where sprites can plug into other sprites. More...

`#include <imesh/spritecal3d.h>`

Inheritance diagram for iSpriteCal3DSocket:

List of all members.

## Public Member Functions
virtual size_t | AttachSecondary (iMeshWrapper *, csReversibleTransform)=0
| Attach a secondary mesh.
virtual void | DetachSecondary (const char *mesh_name)=0
| Detach a secondary mesh by name.
virtual void | DetachSecondary (size_t index)=0
| Detach a secondary mesh by index.
virtual size_t | FindSecondary (const char *mesh_name)=0
| Finds the index of the given attached secondary mesh.
virtual int | GetMeshIndex () const =0
| Get the index of the mesh for the socket.
virtual size_t | GetSecondaryCount () const =0
| Get a count of the secondary attached meshes (this doesn't include the primary mesh)
virtual iMeshWrapper * | GetSecondaryMesh (size_t index)=0
| Get the attached secondary mesh at the given index.
virtual csReversibleTransform | GetSecondaryTransform (size_t index)=0
| Get the transform of the attached secondary mesh at the given index.
virtual int | GetSubmeshIndex () const =0
| Get the index of the submesh for the socket.
virtual csReversibleTransform | GetTransform () const =0
| Get the transform of the main mesh.
virtual void | SetMeshIndex (int m_index)=0
| Set the index of the mesh for the socket.
virtual void | SetSecondaryTransform (size_t index, csReversibleTransform)=0
| Set the transform of the attached secondary mesh at the given index.
virtual void | SetSubmeshIndex (int subm_index)=0
| Set the index of the submesh for the socket.
virtual void | SetTransform (const csReversibleTransform &trans)=0
| Set the transform of the main mesh.

## Detailed Description

A socket for specifying where sprites can plug into other sprites.

Definition at line 51 of file spritecal3d.h.

## Member Function Documentation

virtual size_t iSpriteCal3DSocket::AttachSecondary | ( | iMeshWrapper * | ,
|  | csReversibleTransform |
| ) |  | `[pure virtual]`

Attach a secondary mesh.

virtual void iSpriteCal3DSocket::DetachSecondary | ( | const char * | mesh_name | ) | `[pure virtual]`

Detach a secondary mesh by name.

virtual void iSpriteCal3DSocket::DetachSecondary | ( | size_t | index | ) | `[pure virtual]`

Detach a secondary mesh by index.

virtual size_t iSpriteCal3DSocket::FindSecondary | ( | const char * | mesh_name | ) | `[pure virtual]`

Finds the index of the given attached secondary mesh.

virtual int iSpriteCal3DSocket::GetMeshIndex | ( |  | ) | const`[pure virtual]`

Get the index of the mesh for the socket.

virtual size_t iSpriteCal3DSocket::GetSecondaryCount | ( |  | ) | const`[pure virtual]`

Get a count of the secondary attached meshes (this doesn't include the primary mesh)

virtual iMeshWrapper* iSpriteCal3DSocket::GetSecondaryMesh | ( | size_t | index | ) | `[pure virtual]`

Get the attached secondary mesh at the given index.

virtual csReversibleTransform iSpriteCal3DSocket::GetSecondaryTransform | ( | size_t | index | ) | `[pure virtual]`

Get the transform of the attached secondary mesh at the given index.

virtual int iSpriteCal3DSocket::GetSubmeshIndex | ( |  | ) | const`[pure virtual]`

Get the index of the submesh for the socket.

virtual csReversibleTransform iSpriteCal3DSocket::GetTransform | ( |  | ) | const`[pure virtual]`

Get the transform of the main mesh.

virtual void iSpriteCal3DSocket::SetMeshIndex | ( | int | m_index | ) | `[pure virtual]`

Set the index of the mesh for the socket.

virtual void iSpriteCal3DSocket::SetSecondaryTransform | ( | size_t | index,
|  | csReversibleTransform |
| ) |  | `[pure virtual]`

Set the transform of the attached secondary mesh at the given index.

virtual void iSpriteCal3DSocket::SetSubmeshIndex | ( | int | subm_index | ) | `[pure virtual]`

Set the index of the submesh for the socket.

virtual void iSpriteCal3DSocket::SetTransform | ( | const csReversibleTransform & | trans | ) | `[pure virtual]`

Set the transform of the main mesh.

The documentation for this struct was generated from the following file:

- imesh/spritecal3d.h